RTAI

Paolo Mantegazza mantegazza at aero.polimi.it
Tue Oct 5 17:33:00 CEST 2004


Arne Linder wrote:
> Roberto Bucher schrieb:
> 
>> Can you try to patch the kernel with the last patch from RTAI-3.1 and 
>> see what happens? 
> 
> 
> The result is the same. If you need the full kernel error-message please
> contact me, so that I can send it to you directly. I cannot attach it to
> this mail; otherwise my mail will become bigger then 10kB which will
> cause the list's mailserver not to accept the mail because of the size
> limit. That was indeed the problem we had when posting to the list.
> 
>> Another possibility: I had problems with the gcc from SuSE, and I 
>> migrated to debian, but I know that Paolo work with SuSE without 
>> problems, but I don't know exactly with wich gcc version.
> 
> 
> We had a debian system here before and the reason we changed to SuSE
> was, because we got those Oopses we now also have with SuSE. We thought,
> this happened, because we installed and deinstalled a lot on the debian
> system in that time, and so we changed to a SuSE system we set up from
> scratch. Unfortunately I don't know any more, which version of kernel,
> RTAI and gcc we used on that machine.
> 
> What is the gcc version you use?
> 
> Perhaps Paolo can tell us also, which SuSE version and which
> kernel/RTAI/gcc he uses.
> 

Here at DIAPM the latest CVS, so 3.1 also, has been tested at length on 
different machines, both with Linux 2.4 and 2.6:
- 2 SMP PIII 1GHz, 2.4/2.6, SUSE 8.1, gcc-3.2.0
- 2 SMP PIII .7 GHz, 2.4, Suse 8.0, gcc-3.2.3
- UP ATHLON 1 Ghz, 2.4/2.6, Suse 8.0. gxx-3.2.0
- UP ATHLON 2.4 GHz, 2.4, Debian Sarge, gcc-3.3.3
- UP CELERON 1.8 Gz, 2.4/2.6, Suse 9.1, gcc-3.3.4

Paolo.





More information about the Rtai mailing list